[ffe] Sync pushpin 1.8.0-2 (universe) from Debian unstable (main)

Bug #1553376 reported by Jan Niehusmann on 2016-03-04
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pushpin (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync pushpin 1.8.0-2 (universe) from Debian unstable (main)

Changelog entries since current xenial version 1.7.0-1:

pushpin (1.8.0-2) unstable; urgency=medium

  * Remove dependency on python-tnetstring and python-zmq.
    They got obsolete because pushpin-publish was rewritten in C++.

 -- Jan Niehusmann <email address hidden> Thu, 03 Mar 2016 20:43:22 +0100

pushpin (1.8.0-1) unstable; urgency=medium

  * New upstream version
  * apply hardening flags via ./configure --extraconf
  * Remove internal.conf from /etc/pushpin/; it was never meant to be
    modified locally.

 -- Jan Niehusmann <email address hidden> Thu, 25 Feb 2016 16:17:33 +0100

Upstream changelog for 1.8.0:

v. 1.8.0 (2016-02-22)

  * Fix issue proxying large responses.
  * Refactor README.
  * Port server code to Qt 5.
  * Rewrite pushpin-publish tool from Python to C++.
  * Move internal.conf into LIBDIR.

Changed in pushpin (Ubuntu):
importance: Undecided → Wishlist
Timo Jyrinki (timo-jyrinki) wrote :

Thank you for the request! If this would be wanted to Ubuntu 16.04 LTS, it's already in feature freeze and the process documented at https://wiki.ubuntu.com/FreezeExceptionProcess#FeatureFreeze_Exceptions should be followed.

The porting work to Qt 5 is substantial and there seem to be also internal code refactorings, as seen at the commits at http://anonscm.debian.org/cgit/users/jan/pushpin.git/log/?h=upstream after the (not tagged) 1.7.0 release.

This could also be synced after 16.04 LTS is released in April, to the next development Ubuntu version 16.10.

Hi Timo,

thanks for looking at the sync request,

On Fri, Mar 11, 2016 at 11:29:54AM -0000, Timo Jyrinki wrote:
> The porting work to Qt 5 is substantial and there seem to be also
> internal code refactorings, as seen at the commits at
> http://anonscm.debian.org/cgit/users/jan/pushpin.git/log/?h=upstream
> after the (not tagged) 1.7.0 release.
>
> This could also be synced after 16.04 LTS is released in April, to the
> next development Ubuntu version 16.10.

That's true, 1.8.0 isn't just a bugfix release. I still think that
syncing pushpin 1.8.0 and zurl 1.5.1 would be beneficial for 16.04 LTS:

The intention of the sync request is mainly to have a consistent codebase
for long term support. If 16.04 releases with a version based on Qt4,
the increased effort to backport bug fixes could mean that fixes are
delayed, or that less important fixes won't be backported, at all.

I have built both packages for debian unstable, jessie and wheezy, as
well as ubuntu trusty, vivid and wily.

If you think it will help getting the newer versions into
16.04 LTS, I can install Xenial and create the logs requested in
https://wiki.ubuntu.com/FreezeExceptionProcess#FeatureFreeze_Exceptions.
But please note that, as a debian developer, I don't have the required
ubuntu infrastructure readily available. So I'd rather not do that work
if it's unlikely to get the packages synced at all.

Best regards,
Jan

Jan Niehusmann (jan-debian) wrote :

Hi,

On Sat, Mar 12, 2016 at 11:26:42AM +0100, Jan Niehusmann wrote:
> That's true, 1.8.0 isn't just a bugfix release. I still think that
> syncing pushpin 1.8.0 and zurl 1.5.1 would be beneficial for 16.04 LTS:

As an additional note regarding zurl: Here, the porting to qt5 was done
with release 1.5.0, which is already in Xenial.

The changes between 1.5.0 and 1.5.1 are really minor. (Full diff
attached.)

For pushpin, it's true that 1.8.0 contains the port to qt5, so there are
quite some code changes.

As pushpin and zurl usually go together, having one depending on qt4 and
the other one depending on qt5 could needlessly bloat installations.
(Probably only relevant to dedicated servers, but especially with
containers this is a likely setup.)

Due to the nature of the changes, I consider it highly unlikely that the
update breaks something outside of the package itself.

Best regards,
Jan

see https://wiki.ubuntu.com/FreezeExceptionProcess about how to do a ffe request

summary: - Sync pushpin 1.8.0-2 (universe) from Debian unstable (main)
+ [ffe] Sync pushpin 1.8.0-2 (universe) from Debian unstable (main)

On Tue, Mar 15, 2016 at 06:36:07PM -0000, Sebastien Bacher wrote:
> see https://wiki.ubuntu.com/FreezeExceptionProcess about how to do a ffe
> request

As stated above in
https://bugs.launchpad.net/ubuntu/+source/pushpin/+bug/1553376/comments/2,
I know the process, but I don't have a xenial installation at hand. If
it's really necessary - and makes it likely that the package will be
synced - I can setup a machine to provide the build log.

An installtion on debian/sid looks quite boring:

root@sid:~# dpkg -i /tmp/pushpin_1.8.0-2_amd64.deb
Selecting previously unselected package pushpin.
(Reading database ... 23057 files and directories currently installed.)
Preparing to unpack /tmp/pushpin_1.8.0-2_amd64.deb ...
Unpacking pushpin (1.8.0-2) ...
Setting up pushpin (1.8.0-2) ...
Processing triggers for systemd (229-1) ...
Processing triggers for man-db (2.7.5-1) ...
root@sid:~#

Installation was also tested on older versions of debian (wheezy) and
ubuntu (trusty, vivid, wily).

Forwarding requests through pushpin and zurl was tested on all these
distributions.

changelog.diff and build log are attached.

Best regards,
Jan

Jan Niehusmann (jan-debian) wrote :

After setting up a xenial build environment, here is the build log of
pushpin_1.8.0-2.

Iain Lane (laney) wrote :

doko uploaded this already, ignoring feature freeze.

Changed in pushpin (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers